(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 12.1' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[      5198,        166]
NotebookOptionsPosition[      4242,        140]
NotebookOutlinePosition[      4676,        157]
CellTagsIndexPosition[      4633,        154]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[BoxData[
 RowBox[{"Solve", "[", 
  RowBox[{
   RowBox[{
    RowBox[{
     SuperscriptBox["t", "2"], "+", "1"}], "\[Equal]", "0"}], ",", "t"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.806923990073596*^9, 3.8069240174268484`*^9}},
 CellLabel->"In[14]:=",ExpressionUUID->"dd42fc7b-77f3-4900-8c9f-fec7561ec1c2"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"t", "\[Rule]", 
     RowBox[{"-", "\[ImaginaryI]"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"t", "\[Rule]", "\[ImaginaryI]"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.806924018174114*^9},
 CellLabel->"Out[14]=",ExpressionUUID->"a5f8a1b1-fcef-49c2-8822-b7c167aae7c5"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Solve", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"-", "I"}], " ", "b1"}], "+", 
       RowBox[{"I", " ", "b2"}]}], "\[Equal]", "1"}], ",", 
     RowBox[{
      RowBox[{
       RowBox[{
        SuperscriptBox["I", "2"], "b1"}], "+", 
       RowBox[{
        SuperscriptBox["I", "2"], "b2"}]}], "\[Equal]", "1"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"b1", ",", "b2"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.8069247009094224`*^9, 3.8069248297752757`*^9}},
 CellLabel->"In[19]:=",ExpressionUUID->"c6ada186-2420-411a-8d46-fb67834876a2"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"b1", "\[Rule]", 
     RowBox[{
      RowBox[{"-", 
       FractionBox["1", "2"]}], "+", 
      FractionBox["\[ImaginaryI]", "2"]}]}], ",", 
    RowBox[{"b2", "\[Rule]", 
     RowBox[{
      RowBox[{"-", 
       FractionBox["1", "2"]}], "-", 
      FractionBox["\[ImaginaryI]", "2"]}]}]}], "}"}], "}"}]], "Output",
 CellChangeTimes->{{3.806924813950127*^9, 3.806924832281889*^9}},
 CellLabel->"Out[19]=",ExpressionUUID->"c1479655-cf5f-4abe-9470-501f727eaf5f"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"a", "[", "n_", "]"}], ":=", 
  RowBox[{"-", 
   RowBox[{"a", "[", 
    RowBox[{"n", "-", "2"}], "]"}]}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"a", "[", "1", "]"}], "=", 
   RowBox[{
    RowBox[{"a", "[", "2", "]"}], "=", "1"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Table", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"a", "[", "n", "]"}], "\[Equal]", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", 
         RowBox[{"(", 
          RowBox[{"1", "/", "2"}], ")"}]}], "+", 
        RowBox[{"(", 
         RowBox[{"I", "/", "2"}], ")"}]}], ")"}], 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"-", "I"}], ")"}], "n"]}], "+", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", 
         RowBox[{"(", 
          RowBox[{"1", "/", "2"}], ")"}]}], "-", 
        RowBox[{"(", 
         RowBox[{"I", "/", "2"}], ")"}]}], ")"}], 
      SuperscriptBox[
       RowBox[{"(", "I", ")"}], "n"]}]}]}], ",", 
   RowBox[{"{", 
    RowBox[{"n", ",", "1", ",", "20"}], "}"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.8069251510904264`*^9, 3.8069252321246314`*^9}},
 CellLabel->"In[23]:=",ExpressionUUID->"21613387-5b9f-4d18-8cb3-e1882a71833b"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "True", ",", "True", ",", "True", ",", "True", ",", "True", ",", "True", 
   ",", "True", ",", "True", ",", "True", ",", "True", ",", "True", ",", 
   "True", ",", "True", ",", "True", ",", "True", ",", "True", ",", "True", 
   ",", "True", ",", "True", ",", "True"}], "}"}]], "Output",
 CellChangeTimes->{{3.8069252191460934`*^9, 3.806925234634703*^9}},
 CellLabel->"Out[25]=",ExpressionUUID->"e56ac088-60c6-4aed-87cb-020e299f9b1c"]
}, Open  ]]
},
WindowSize->{960, 478},
WindowMargins->{{-5.5, Automatic}, {Automatic, -5.5}},
Magnification:>1.5 Inherited,
FrontEndVersion->"12.1 para Microsoft Windows (64-bit) (March 14, 2020)",
StyleDefinitions->"Default.nb",
ExpressionUUID->"5de9bae2-db76-44c5-819c-6541c1b86366"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[580, 22, 314, 8, 131, "Input",ExpressionUUID->"dd42fc7b-77f3-4900-8c9f-fec7561ec1c2"],
Cell[897, 32, 349, 9, 100, "Output",ExpressionUUID->"a5f8a1b1-fcef-49c2-8822-b7c167aae7c5"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1283, 46, 640, 19, 185, "Input",ExpressionUUID->"c6ada186-2420-411a-8d46-fb67834876a2"],
Cell[1926, 67, 528, 15, 125, "Output",ExpressionUUID->"c1479655-cf5f-4abe-9470-501f727eaf5f"]
}, Open  ]],
Cell[CellGroupData[{
Cell[2491, 87, 1257, 40, 385, "Input",ExpressionUUID->"21613387-5b9f-4d18-8cb3-e1882a71833b"],
Cell[3751, 129, 475, 8, 188, "Output",ExpressionUUID->"e56ac088-60c6-4aed-87cb-020e299f9b1c"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)

